function setGauge(temp, minTemp, maxTemp, isOverheating, rangeText, useCelsius) {
  degree = '&deg;C';
  if (!useCelsius) {
    degree = '&deg;F';
  }

  if (isOverheating) {
    temp = Math.ceil(temp);
  } else {
    temp = Math.floor(temp);
  }

  $('#rangeLabel').text(rangeText);
  $('#temperature').html(temp + degree);
  $(".temp.high").html(maxTemp + degree);
  $(".temp.low").html(minTemp + degree);

  $('#mask').removeClass();
  if (isOverheating) {
    $('#mask').addClass('hot');
    $('#temperature').css('background-color', '#ec475e');
  } else {
    $('#mask').addClass('cold');
    $('#temperature').css('background-color', '#66c2f5');
  }
}
