package com.mobiledefense.verify.validate.ui.presenter

import com.mobiledefense.common.util.Observer
import com.mobiledefense.verify.validate.ui.model.VerificationValidationViewModel
import com.mobiledefense.verify.validate.ui.view.VerificationValidationView.Action

interface VerificationValidationViewPresenter {

    var viewModelObserver: Observer<VerificationValidationViewModel>?
    val pinChangesObserver: Observer<Action.PinChange>
    val validateButtonTapsObserver: Observer<Action.ValidateButtonTap>
    val requestButtonTapsObserver: Observer<Action.RequestButtonTap>
    val requestErrorDialogDismissalsObserver: Observer<Action.RequestErrorDialogDismissal>
    val backTapsObserver: Observer<Action.BackTap>
    val smsMessageObserver: Observer<String>
}
