package com.mobiledefense.verify.validate.di

import com.mobiledefense.lean.di.LeanModule
import com.mobiledefense.verify.di.VerificationModule
import com.mobiledefense.verify.validate.VerificationValidationActivity
import dagger.Subcomponent

@Subcomponent(modules = [
    VerificationModule::class,
    VerificationValidationActivityModule::class,
    LeanModule::class])
interface VerificationValidationActivityComponent {

    fun injectInto(activity: VerificationValidationActivity)
}
