precision mediump float;

varying vec2 interp_tc;
varying vec2 v_blurTexCoords[14];

uniform sampler2D rgb_tex;

void main() {

	/* kernel size = 21 - sigma = 4 */

	float blur[8];
	blur[0] = 0.023089;
	blur[1] = 0.034587;
	blur[2] = 0.048689;
	blur[3] = 0.064408;
	blur[4] = 0.080066;
	blur[5] = 0.093531;
	blur[6] = 0.102673;
	blur[7] = 0.105915;

	gl_FragColor = vec4(0.0);
    gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 0])*blur[0];
    gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 1])*blur[1];
    gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 2])*blur[2];
    gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 3])*blur[3];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 4])*blur[4];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 5])*blur[5];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 6])*blur[6];
	gl_FragColor += texture2D(rgb_tex, interp_tc         )* blur[7];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 7])*blur[6];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 8])*blur[5];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[ 9])*blur[4];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[10])*blur[3];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[11])*blur[2];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[12])*blur[1];
	gl_FragColor += texture2D(rgb_tex, v_blurTexCoords[13])*blur[0];

}